# Uses of Class
com.sun.jdi.connect.spi.Connection

Packages that use Connection
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.
com.sun.jdi.connect.spi
This package comprises the interfaces and classes used to develop new `TransportService` implementations.

## Uses of Connection in com.sun.jdi

Methods in com.sun.jdi with parameters of type Connection
Modifier and Type
Method
Description
`VirtualMachine`
VirtualMachineManager.`createVirtualMachine(Connection connection)`
Creates a new virtual machine.
`VirtualMachine`
VirtualMachineManager.`createVirtualMachine(Connection connection, Process process)`
Create a virtual machine mirror for a target VM.

## Uses of Connection in com.sun.jdi.connect.spi

Methods in com.sun.jdi.connect.spi that return Connection
Modifier and Type
Method
Description
`abstract Connection`
TransportService.`accept(TransportService.ListenKey listenKey, long acceptTimeout, long handshakeTimeout)`
Accept a connection from a target VM.
`abstract Connection`
TransportService.`attach(String address, long attachTimeout, long handshakeTimeout)`
Attaches to the specified address.